// -- Spacings

$cui-spacings: (
  auto: auto,
  xl: 2rem,
  l: 1.5rem,
  m: 1rem,
  s: .5rem,
  xs: .25rem,
  0: 0
);

@each $name, $spacing in $cui-spacings {
  .cui-m-#{$name} { margin: $spacing !important; }
  .cui-mv-#{$name} { margin-top: $spacing !important; margin-bottom: $spacing !important; }
  .cui-mh-#{$name} { margin-left: $spacing !important; margin-right: $spacing !important; }
  @each $dir in (top, bottom, left, right) {
    .cui-m#{str-slice($dir, 0, 1)}-#{$name} { margin-#{$dir}: $spacing !important; }
  }

  @if $spacing != 'auto' {
    .cui-p-#{$name} { padding: $spacing !important; }
    .cui-pv-#{$name} { padding-top: $spacing !important; padding-bottom: $spacing !important; }
    .cui-ph-#{$name} { padding-left: $spacing !important; padding-right: $spacing !important; }
    @each $dir in (top, bottom, left, right) {
      .cui-p#{str-slice($dir, 0, 1)}-#{$name} { padding-#{$dir}: $spacing !important; }
    }
  }
}
